From b4198173cbb034aa36afccab667974b3ccaba0a3 Mon Sep 17 00:00:00 2001
From: David Fuhrmann <david.fuhrmann@googlemail.com>
Date: Sun, 14 Apr 2013 20:10:46 +0200
Subject: [PATCH] pthreads: workaround for mac os x only crash in
 vlc_cond_destroy

---
 src/posix/thread.c |    8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/posix/thread.c b/src/posix/thread.c
index 514f592..6aae316 100644
--- a/src/posix/thread.c
+++ b/src/posix/thread.c
@@ -355,6 +355,14 @@ void vlc_cond_init_daytime (vlc_cond_t *p_condvar)
 void vlc_cond_destroy (vlc_cond_t *p_condvar)
 {
     int val = pthread_cond_destroy( p_condvar );
+
+    // workaround for bug in apples pthread implementation
+#if defined __APPLE__ && !defined NDEBUG
+    if (val == EBUSY) {
+        return;
+    }
+#endif
+
     VLC_THREAD_ASSERT ("destroying condition");
 }
 
-- 
1.7.10.2 (Apple Git-33)

